function z=stredy(t)
% fcia vypocita suradnice geom stredov vrstiev nosnika
% vstup: tloustky vrstiev, vystup: z-ove suradnice
z=zeros(1,length(t));

for i=1:length(t)
   if i==1
       z(i)=t(i)/2;
   else
       z(i)=sum(t(1:(i-1)))+t(i)/2;
   end
end

end